var starterControllers = angular.module('starter.controllers', ['ngCordova.plugins.camera'])

starterControllers.controller("MainController", [ '$scope', '$state', '$ionicPopover', 'DataSvc', function($scope, $state, $ionicPopover, DataSvc) {

    $scope.data = {
        "launched" : "No"
    };

    $scope.reportAppLaunched = function(url) {
        _oz.deb('App Launched Via Custom URL', url);

        $scope.$apply( function() {
            $scope.data.launched = 'Yes';

            _oz.setting.externalData = url + 'HAHAHAHA';
        });
    }

    $scope.isHome = function() {
        return ($state.current.name === 'top')
    };


    $scope.loginAndGo = function(destination) {
        DataSvc.RefreshUserInformation(true).then(function (result) {
            if (result.IsLoggedIn === true) {
                $state.go(destination);
            } else {
                $state.go('login', {destination: destination});
            }
        });
    };


}])

;
